Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class IllegalOperationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.birt.report.model.api.IllegalOperationException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalOperationException

extends java.lang.RuntimeException

Thrown to indicate that a method has been illegally called. It means that some method inherited from super classes is forbidden to be called by the certain sub-class.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ILLEGAL_OPERATION_EXCEPTION` Error message for the exception.

Constructor Summary
`IllegalOperationException()` Constructs an `IllegalOperationException` with no detail message.
`IllegalOperationException(java.lang.String s)` Constructs an `IllegalOperationException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_OPERATION_EXCEPTION

    public static final java.lang.String ILLEGAL_OPERATION_EXCEPTION

  Error message for the exception.

  See Also:
    Constant Field Values

Constructor Detail

### IllegalOperationException

    public IllegalOperationException()

  Constructs an `IllegalOperationException` with no detail message.

### IllegalOperationException

    public IllegalOperationException(java.lang.String s)

  Constructs an `IllegalOperationException` with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.